| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
uiVisDataPointSetDisplayMgr Class Reference
uiVis

Implementation of DataPointSetDisplayMgr that enables display of datapointsets in 3d visualization scenes. More...

`#include <uivisdatapointsetdisplaymgr.h>`

Inheritance diagram for uiVisDataPointSetDisplayMgr:
[legend]

## Classes
class | DisplayInfo

## Public Member Functions
| uiVisDataPointSetDisplayMgr (uiVisPartServer &)
| ~uiVisDataPointSetDisplayMgr ()
DispID | addDisplay (const TypeSet< ParentID > &, const DataPointSet &) override
bool | addDisplays (const TypeSet< ParentID > &, const ObjectSet< DataPointSet > &, TypeSet< DispID > &)
void | clearDisplays ()
DispID | getDisplayID (const DataPointSet &) const override
DispID | getDisplayID (const VisID &) const
void | getIconInfo (BufferString &fnm, BufferString &tooltip) const override
int | getNrViewers () const override
| Will return the number of scenes.
const char * | getViewerName (int) const override
bool | hasDisplays () const override
void | lock () override
void | removeDisplay (const DispID &) override
void | turnOn (const DispID &, bool)
void | unLock () override
void | updateColorsOnly (const DispID &)
void | updateDisplay (const DispID &, const DataPointSet &) override
void | updateDisplay (const DispID &, const TypeSet< ParentID > &, const DataPointSet &) override
Public Member Functions inherited from DataPointSetDisplayMgr
virtual | ~DataPointSetDisplayMgr ()
const TypeSet< ParentID > & | availableViewers () const
void | clearDispProp ()
const DataPointSetDisplayProp * | dispProp () const
void | setDispProp (DataPointSetDisplayProp *prop)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
CNotifier< uiVisDataPointSetDisplayMgr, EM::ObjectID > | treeToBeAdded

## Protected Member Functions
void | createMenuCB (CallBacker *)
DisplayInfo * | getInfo (const DispID &)
const DisplayInfo * | getInfo (const DispID &) const
void | handleMenuCB (CallBacker *)
void | removeDisplay (DisplayInfo &)
Protected Member Functions inherited from DataPointSetDisplayMgr
| DataPointSetDisplayMgr ()

## Protected Attributes
TypeSet< SceneID > | allsceneids_
MenuItem | createbodymnuitem_
ObjectSet< DisplayInfo > | displayinfos_
Threads::Mutex | lock_
MenuItem | propmenuitem_
MenuItem | removemnuitem_
MenuItem | storepsmnuitem_
RefMan< MenuHandler > | vismenu_
uiVisPartServer & | visserv_
Protected Attributes inherited from DataPointSetDisplayMgr
TypeSet< ParentID > | availableviewers_
DataPointSetDisplayProp * | dispprop_ = nullptr

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

Implementation of DataPointSetDisplayMgr that enables display of datapointsets in 3d visualization scenes.

<>

## Constructor & Destructor Documentation

## ◆ uiVisDataPointSetDisplayMgr()

uiVisDataPointSetDisplayMgr::uiVisDataPointSetDisplayMgr | ( | uiVisPartServer & |  | ) |

## ◆ ~uiVisDataPointSetDisplayMgr()

uiVisDataPointSetDisplayMgr::~uiVisDataPointSetDisplayMgr | ( |  | ) |

## Member Function Documentation

## ◆ addDisplay()

DispID uiVisDataPointSetDisplayMgr::addDisplay | ( | const TypeSet< ParentID > & | ,
|  | const DataPointSet & | )
| override virtual

Implements DataPointSetDisplayMgr.

## ◆ addDisplays()

bool uiVisDataPointSetDisplayMgr::addDisplays | ( | const TypeSet< ParentID > & | ,
|  | const ObjectSet< DataPointSet > & | ,
|  | TypeSet< DispID > & | )

## ◆ clearDisplays()

void uiVisDataPointSetDisplayMgr::clearDisplays | ( |  | ) |

## ◆ createMenuCB()

void uiVisDataPointSetDisplayMgr::createMenuCB | ( | CallBacker * |  | ) |
| protected

## ◆ getDisplayID() [1/2]

DispID uiVisDataPointSetDisplayMgr::getDisplayID | ( | const DataPointSet & |  | ) | const
| override virtual

Implements DataPointSetDisplayMgr.

## ◆ getDisplayID() [2/2]

DispID uiVisDataPointSetDisplayMgr::getDisplayID | ( | const VisID & |  | ) | const

## ◆ getIconInfo()

void uiVisDataPointSetDisplayMgr::getIconInfo | ( | BufferString & | fnm,
|  | BufferString & | tooltip ) const
| override virtual

Implements DataPointSetDisplayMgr.

## ◆ getInfo() [1/2]

DisplayInfo * uiVisDataPointSetDisplayMgr::getInfo | ( | const DispID & |  | ) |
| protected

## ◆ getInfo() [2/2]

const DisplayInfo * uiVisDataPointSetDisplayMgr::getInfo | ( | const DispID & |  | ) | const
| protected

## ◆ getNrViewers()

int uiVisDataPointSetDisplayMgr::getNrViewers | ( |  | ) | const
| override virtual

Will return the number of scenes.

Implements DataPointSetDisplayMgr.

## ◆ getViewerName()

const char * uiVisDataPointSetDisplayMgr::getViewerName | ( | int |  | ) | const
| override virtual

Implements DataPointSetDisplayMgr.

## ◆ handleMenuCB()

void uiVisDataPointSetDisplayMgr::handleMenuCB | ( | CallBacker * |  | ) |
| protected

## ◆ hasDisplays()

bool uiVisDataPointSetDisplayMgr::hasDisplays | ( |  | ) | const
| inline override virtual

Implements DataPointSetDisplayMgr.

## ◆ lock()

void uiVisDataPointSetDisplayMgr::lock | ( |  | ) |
| override virtual

Implements DataPointSetDisplayMgr.

## ◆ removeDisplay() [1/2]

void uiVisDataPointSetDisplayMgr::removeDisplay | ( | const DispID & |  | ) |
| override virtual

Implements DataPointSetDisplayMgr.

## ◆ removeDisplay() [2/2]

void uiVisDataPointSetDisplayMgr::removeDisplay | ( | DisplayInfo & |  | ) |
| protected

## ◆ turnOn()

void uiVisDataPointSetDisplayMgr::turnOn | ( | const DispID & | ,
|  | bool | )

## ◆ unLock()

void uiVisDataPointSetDisplayMgr::unLock | ( |  | ) |
| override virtual

Implements DataPointSetDisplayMgr.

## ◆ updateColorsOnly()

void uiVisDataPointSetDisplayMgr::updateColorsOnly | ( | const DispID & |  | ) |

## ◆ updateDisplay() [1/2]

void uiVisDataPointSetDisplayMgr::updateDisplay | ( | const DispID & | ,
|  | const DataPointSet & | )
| override virtual

Implements DataPointSetDisplayMgr.

## ◆ updateDisplay() [2/2]

void uiVisDataPointSetDisplayMgr::updateDisplay | ( | const DispID & | ,
|  | const TypeSet< ParentID > & | ,
|  | const DataPointSet & | )
| override virtual

Implements DataPointSetDisplayMgr.

## Member Data Documentation

## ◆ allsceneids_

TypeSet<SceneID> uiVisDataPointSetDisplayMgr::allsceneids_
| protected

## ◆ createbodymnuitem_

MenuItem uiVisDataPointSetDisplayMgr::createbodymnuitem_
| protected

## ◆ displayinfos_

ObjectSet<DisplayInfo> uiVisDataPointSetDisplayMgr::displayinfos_
| protected

## ◆ lock_

Threads::Mutex uiVisDataPointSetDisplayMgr::lock_
| protected

## ◆ propmenuitem_

MenuItem uiVisDataPointSetDisplayMgr::propmenuitem_
| protected

## ◆ removemnuitem_

MenuItem uiVisDataPointSetDisplayMgr::removemnuitem_
| protected

## ◆ storepsmnuitem_

MenuItem uiVisDataPointSetDisplayMgr::storepsmnuitem_
| protected

## ◆ treeToBeAdded

CNotifier<uiVisDataPointSetDisplayMgr,EM::ObjectID> uiVisDataPointSetDisplayMgr::treeToBeAdded

## ◆ vismenu_

RefMan<MenuHandler> uiVisDataPointSetDisplayMgr::vismenu_
| protected

## ◆ visserv_

uiVisPartServer& uiVisDataPointSetDisplayMgr::visserv_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025